@import '~@angular/material/theming';

@include mat-core();

$custom-typography: mat-typography-config(
  $font-family: "'Muli', sans-serif"
);

$mat-red: (
  50: #fee0e0,
  100: #fcb3b3,
  200: #fa8080,
  300: #f84d4d,
  400: #f72626,
  500: #f50000,
  600: #f40000,
  700: #f20000,
  800: #f00000,
  900: #e00,
  A100: #fff,
  A200: #ffe1e1,
  A400: #ffaeae,
  A700: #ff9595,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

$my-app-primary: mat-palette($mat-red);
$my-app-accent: mat-palette($mat-red);
$my-app-warn: mat-palette($mat-deep-orange);

$my-app-theme: mat-light-theme($my-app-primary, $my-app-accent, $my-app-warn);

@include angular-material-theme($my-app-theme);
@include mat-core($custom-typography);
